#!/bin/bash

# set scrolling speed
/usr/bin/xinput set-prop 13 "libinput Scrolling Pixel Distance" 25

# connect vpn
vpn=$(nmcli c | grep "Proton VPN" | awk -F"  " '{print $1}')
echo ${vpn}

if [ ! -z "${vpn}" ]; then
  /usr/bin/nmcli c down "${vpn}"
fi

/usr/bin/protonvpn-cli config --dns custom --ip 9.9.9.11 149.112.112.10
/usr/bin/protonvpn-cli c -f

if [ ! -z "${vpn}" ]; then
  /usr/bin/nmcli c up "${vpn}"
fi

#sudo wg-quick up wg0

/usr/bin/protonvpn
